import { Scalar, CustomScalar } from '@nestjs/graphql';
import { GraphQLJSONObject } from 'graphql-type-json';

@Scalar('Object', (type) => Object)
export class ObjectScalar implements CustomScalar<number, Object> {
  description = GraphQLJSONObject.description;

  parseValue = GraphQLJSONObject.parseValue;

  serialize = GraphQLJSONObject.serialize;

  parseLiteral = GraphQLJSONObject.parseLiteral;
}
